/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.valueobject;

/**
 * LISA TMX の tuv をあらわすバリューオブジェクト。
 */
public class BlancoTmxTuv {
    /**
     * フィールド [lang]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * 言語。
     */
    private String fLang = "en-US";

    /**
     * フィールド [seg]
     *
     * 項目の型 [java.lang.String]<br>
     * 文字リソース。
     */
    private String fSeg;

    /**
     * フィールド [lang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 言語。
     *
     * @param argLang フィールド[lang]に格納したい値
     */
    public void setLang(final String argLang) {
        fLang = argLang;
    }

    /**
     * フィールド[lang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * 言語。
     *
     * @return フィールド[lang]に格納されている値
     */
    public String getLang() {
        return fLang;
    }

    /**
     * フィールド [seg]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字リソース。
     *
     * @param argSeg フィールド[seg]に格納したい値
     */
    public void setSeg(final String argSeg) {
        fSeg = argSeg;
    }

    /**
     * フィールド[seg]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字リソース。
     *
     * @return フィールド[seg]に格納されている値
     */
    public String getSeg() {
        return fSeg;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.valueobject.BlancoTmxTuv[");
        buf.append("lang=" + fLang);
        buf.append(",seg=" + fSeg);
        buf.append("]");
        return buf.toString();
    }
}
